## flite 2.2

=== Makefile ===
###########################################################################
##                                                                       ##
##                  Language Technologies Institute                      ##
##                     Carnegie Mellon University                        ##
##                      Copyright (c) 1999-2017                          ##
##                        All Rights Reserved.                           ##
##                                                                       ##
##  Permission is hereby granted, free of charge, to use and distribute  ##
##  this software and its documentation without restriction, including   ##
##  without limitation the rights to use, copy, modify, merge, publish,  ##
##  distribute, sublicense, and/or sell copies of this work, and to      ##
##  permit persons to whom this work is furnished to do so, subject to   ##
##  the following conditions:                                            ##
##   1. The code must retain the above copyright notice, this list of    ##
##      conditions and the following disclaimer.                         ##
##   2. Any modifications must be clearly marked as such.                ##
##   3. Original authors' names are not deleted.                         ##
##   4. The authors' names are not used to endorse or promote products   ##
##      derived from this software without specific prior written        ##
##      permission.                                                      ##
##                                                                       ##
##  CARNEGIE MELLON UNIVERSITY AND THE CONTRIBUTORS TO THIS WORK         ##
##  DISCLAIM ALL WARRANTIES WITH REGARD TO THIS SOFTWARE, INCLUDING      ##
##  ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS, IN NO EVENT   ##
##  SHALL CARNEGIE MELLON UNIVERSITY NOR THE CONTRIBUTORS BE LIABLE      ##
##  FOR ANY SPECIAL, INDIRECT OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES    ##
##  WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN   ##
##  AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION,          ##
##  ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF       ##
##  THIS SOFTWARE.                                                       ##
##                                                                       ##
###########################################################################
##                                                                       ##
##    Fast efficient small run-time speech synthesis system              ##
##    http://cmuflite.org                                                ##
##                                                                       ##
##       Authors:  Alan W Black (awb@cs.cmu.edu)                         ##
##                 Kevin A. Lenzo (lenzo@cs.cmu.edu)                     ##
##                 and others see ACKNOWLEDGEMENTS                       ##
##          Date:  Sep 2018                                              ##
##       Version:  2.2 current                                           ##
##                                                                       ## 
###########################################################################
TOP=.
DIRNAME=
BUILD_DIRS = include src lang doc
ALL_DIRS=config $(BUILD_DIRS) testsuite \
         wince windows android \
         sapi tools main 
CONFIG=configure configure.in config.sub config.guess \
       missing install-sh mkinstalldirs
OLD_WINDOWS = Exports.def flite.sln fliteDll.vcproj
WINDOWS = Exports.def flite.sln flite.v11.suo fliteDll.vcxproj fliteDll.vcxproj.filters
FILES = Makefile README.md ACKNOWLEDGEMENTS COPYING $(CONFIG) $(WINDOWS)
DIST_CLEAN = .time-stamp $(TOP)/build/ \
                config.cache config.log config.status \
		config/config config/system.mak FileList

HOST_ONLY_DIRS = tools main
ALL = $(BUILD_DIRS)

config_dummy := $(shell test -f config/config || ( echo '*** '; echo '*** Making default config file ***'; echo '*** '; ./configure; )  >&2)

include $(TOP)/config/common_make_rules

ifeq ($(TARGET_OS),wince)
BUILD_DIRS += wince
endif

config/config: config/config.in config.status
	./config.status

configure: configure.in
	autoconf

get_voices:
	./bin/get_voices us_voices
#	 ./bin/get_voices indic_voices

backup: time-stamp
	@ $(RM) -f $(TOP)/FileList
	@ $(MAKE) file-list
	@ echo .time-stamp >>FileList
	@ ln -s . $(PROJECT_PREFIX)-$(PROJECT_VERSION)-$(PROJECT_STATE)
	@ sed 's/^\.\///' <FileList | sed 's/^/'$(PROJECT_PREFIX)-$(PROJECT_VERSION)-$(PROJECT_STATE)'\//' >.file-list-all
	@ tar jcvf $(PROJECT_PREFIX)-$(PROJECT_VERSION)-$(PROJECT_STATE).tar.bz2 `cat $(PROJECT_PREFIX)-$(PROJECT_VERSION)-$(PROJECT_STATE)/.file-list-all`
	@ $(RM) -f $(TOP)/.file-list-all
	@ $(RM) $(PROJECT_PREFIX)-$(PROJECT_VERSION)-$(PROJECT_STATE) 
	@ ls -l $(PROJECT_PREFIX)-$(PROJECT_VERSION)-$(PROJECT_STATE).tar.bz2

backupbz2: time-stamp
	@ $(RM) -f $(TOP)/FileList
	@ $(MAKE) file-list
	@ echo .time-stamp >>FileList
	@ ln -s . $(PROJECT_PREFIX)-$(PROJECT_VERSION)-$(PROJECT_STATE)
	@ sed 's/^\.\///' <FileList | sed 's/^/'$(PROJECT_PREFIX)-$(PROJECT_VERSION)-$(PROJECT_STATE)'\//' | grep -v cmu_us_kal | grep -v cmu_us_awb | grep -v cmu_us_rms | grep -v cmu_us_slt | grep -v cmu_time_awb >.file-list-all
	@ tar jcvf $(PROJECT_PREFIX)-$(PROJECT_VERSION)-$(PROJECT_STATE).tar.bz2 `cat $(PROJECT_PREFIX)-$(PROJECT_VERSION)-$(PROJECT_STATE)/.file-list-all`
	@ $(RM) -f $(TOP)/.file-list-all
	@ $(RM) $(PROJECT_PREFIX)-$(PROJECT_VERSION)-$(PROJECT_STATE) 
	@ ls -l $(PROJECT_PREFIX)-$(PROJECT_VERSION)-$(PROJECT_STATE).tar.bz2

tags:
	@ $(RM) -f $(TOP)/FileList
	@ $(MAKE) file-list
	etags `cat FileList | grep "\.[ch]$$"`

install:
	@echo Installing 
	mkdir -p $(DESTDIR)$(INSTALLBINDIR)
	mkdir -p $(DESTDIR)$(INSTALLLIBDIR)
	mkdir -p $(DESTDIR)$(INSTALLINCDIR)
	$(INSTALL) -m 644 include/*.h $(DESTDIR)$(INSTALLINCDIR)
	@ $(MAKE) -C main --no-print-directory DESTDIR=$(DESTDIR) install

time-stamp :
	@ echo $(PROJECT_NAME) >.time-stamp
	@ echo $(PROJECT_PREFIX) >>.time-stamp
	@ echo $(PROJECT_VERSION) >>.time-stamp
	@ echo $(PROJECT_DATE) >>.time-stamp
	@ echo $(PROJECT_STATE) >>.time-stamp
	@ echo $(LOGNAME) >>.time-stamp
	@ hostname >>.time-stamp
	@ date >>.time-stamp

# Convinience command, to generate cg dumped voices
voices: ./bin/flite_cmu_us_awb ./bin/flite_cmu_us_rms ./bin/flite_cmu_us_rms
	mkdir -p voices
	./bin/flite_cmu_us_awb -voicedump voices/cmu_us_awb.flitevox
	./bin/flite_cmu_us_rms -voicedump voices/cmu_us_rms.flitevox
	./bin/flite_cmu_us_slt -voicedump voices/cmu_us_slt.flitevox

test:
	@ $(MAKE) --no-print-directory -C testsuite test

=== android/Makefile ===
###########################################################################
##                                                                       ##
##                  Language Technologies Institute                      ##
##                     Carnegie Mellon University                        ##
##                         Copyright (c) 2010                            ##
##                        All Rights Reserved.                           ##
##                                                                       ##
##  Permission is hereby granted, free of charge, to use and distribute  ##
##  this software and its documentation without restriction, including   ##
##  without limitation the rights to use, copy, modify, merge, publish,  ##
##  distribute, sublicense, and/or sell copies of this work, and to      ##
##  permit persons to whom this work is furnished to do so, subject to   ##
##  the following conditions:                                            ##
##   1. The code must retain the above copyright notice, this list of    ##
##      conditions and the following disclaimer.                         ##
##   2. Any modifications must be clearly marked as such.                ##
##   3. Original authors' names are not deleted.                         ##
##   4. The authors' names are not used to endorse or promote products   ##
##      derived from this software without specific prior written        ##
##      permission.                                                      ##
##                                                                       ##
##  CARNEGIE MELLON UNIVERSITY AND THE CONTRIBUTORS TO THIS WORK         ##
##  DISCLAIM ALL WARRANTIES WITH REGARD TO THIS SOFTWARE, INCLUDING      ##
##  ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS, IN NO EVENT   ##
##  SHALL CARNEGIE MELLON UNIVERSITY NOR THE CONTRIBUTORS BE LIABLE      ##
##  FOR ANY SPECIAL, INDIRECT OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES    ##
##  WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN   ##
##  AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION,          ##
##  ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF       ##
##  THIS SOFTWARE.                                                       ##
##                                                                       ##
###########################################################################
##                                                                       ##
##  Author: Alok Parlikar (aup@cs.cmu.edu)                               ##
##                                                                       ##
##  Android support for Flite                                            ##
##                                                                       ##
##  Android support for Flite is now in a different project              ##
##                                                                       ##
##  git clone https://github.com/happyalu/Flite-TTS-Engine-for-Android   ##
##                                                                       ##
##  and follow instructions in Flite-TTS-Engine-for-Android/README.rst   ##
##                                                                       ##
###########################################################################
TOP = ..
DIRNAME = android
BUILD_DIRS = 
ALL_DIRS = $(BUILD_DIRS) 
H = 
SRCS = 
OBJS = $(SRCS:.c=.o)
IMGS = 
OTHER = 
FILES = Makefile README 

include $(TOP)/config/common_make_rules

all:

=== doc/Makefile ===
###########################################################################
##                                                                       ##
##                  Language Technologies Institute                      ##
##                     Carnegie Mellon University                        ##
##                         Copyright (c) 1999                            ##
##                        All Rights Reserved.                           ##
##                                                                       ##
##  Permission is hereby granted, free of charge, to use and distribute  ##
##  this software and its documentation without restriction, including   ##
##  without limitation the rights to use, copy, modify, merge, publish,  ##
##  distribute, sublicense, and/or sell copies of this work, and to      ##
##  permit persons to whom this work is furnished to do so, subject to   ##
##  the following conditions:                                            ##
##   1. The code must retain the above copyright notice, this list of    ##
##      conditions and the following disclaimer.                         ##
##   2. Any modifications must be clearly marked as such.                ##
##   3. Original authors' names are not deleted.                         ##
##   4. The authors' names are not used to endorse or promote products   ##
##      derived from this software without specific prior written        ##
##      permission.                                                      ##
##                                                                       ##
##  CARNEGIE MELLON UNIVERSITY AND THE CONTRIBUTORS TO THIS WORK         ##
##  DISCLAIM ALL WARRANTIES WITH REGARD TO THIS SOFTWARE, INCLUDING      ##
##  ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS, IN NO EVENT   ##
##  SHALL CARNEGIE MELLON UNIVERSITY NOR THE CONTRIBUTORS BE LIABLE      ##
##  FOR ANY SPECIAL, INDIRECT OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES    ##
##  WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN   ##
##  AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION,          ##
##  ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF       ##
##  THIS SOFTWARE.                                                       ##
##                                                                       ##
###########################################################################
##                                                                       ##
##  Documenation                                                         ##
##                                                                       ##
###########################################################################
TOP=..
DIRNAME=doc
BUILD_DIRS = 
ALL_DIRS=
FILES = Makefile flite.texi intro.txt alice stuff.ed

ALL = 

include $(TOP)/config/common_make_rules

doc: flite.html flite.pdf
	cp -p flite.pdf html

flite.html: flite.texi
	@ if [ ! -d html ] ; \
          then mkdir -p html ; fi
	(cd html; texi2any --set-customization-variable TEXI2HTML=1  --split=chapter ../flite.texi)
	@ if [ -d html/flite ] ; \
	  then mv html/flite/*.html html ; \
               rmdir html/flite; fi
	@ for i in html/*.html ; \
	  do \
	    sed 's/<BODY>/<BODY bgcolor="#ffffff">/' $$i >ttt.html; \
	    mv ttt.html $$i ; \
	  done
	@ cat stuff.ed | ed html/flite_toc.html
	@ (cd html; rm -f index.html; ln flite_toc.html index.html)

flite.pdf:  flite.texi
	@ texi2pdf flite.texi

=== main/Makefile ===
###########################################################################
##                                                                       ##
##                  Language Technologies Institute                      ##
##                     Carnegie Mellon University                        ##
##                       Copyright (c) 2001-2008                         ##
##                        All Rights Reserved.                           ##
##                                                                       ##
##  Permission is hereby granted, free of charge, to use and distribute  ##
##  this software and its documentation without restriction, including   ##
##  without limitation the rights to use, copy, modify, merge, publish,  ##
##  distribute, sublicense, and/or sell copies of this work, and to      ##
##  permit persons to whom this work is furnished to do so, subject to   ##
##  the following conditions:                                            ##
##   1. The code must retain the above copyright notice, this list of    ##
##      conditions and the following disclaimer.                         ##
##   2. Any modifications must be clearly marked as such.                ##
##   3. Original authors' names are not deleted.                         ##
##   4. The authors' names are not used to endorse or promote products   ##
##      derived from this software without specific prior written        ##
##      permission.                                                      ##
##                                                                       ##
##  CARNEGIE MELLON UNIVERSITY AND THE CONTRIBUTORS TO THIS WORK         ##
##  DISCLAIM ALL WARRANTIES WITH REGARD TO THIS SOFTWARE, INCLUDING      ##
##  ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS, IN NO EVENT   ##
##  SHALL CARNEGIE MELLON UNIVERSITY NOR THE CONTRIBUTORS BE LIABLE      ##
##  FOR ANY SPECIAL, INDIRECT OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES    ##
##  WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN   ##
##  AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION,          ##
##  ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF       ##
##  THIS SOFTWARE.                                                       ##
##                                                                       ##
###########################################################################
##                                                                       ##
##  Top level user programs                                              ##
##                                                                       ##
###########################################################################
TOP=..
DIRNAME=main
BUILD_DIRS = 
ALL_DIRS= 
SRCS = flite_main.c flite_time_main.c t2p_main.c compile_regexes.c \
       flitevox_info_main.c word_times_main.c
#      world_main.c 
OBJS = $(SRCS:.c=.o) flite_voice_list.o 
FILES = Makefile $(SRCS)
LOCAL_INCLUDES = 

ALL = shared_libs \
      $(BINDIR)/flite$(EXEEXT) \
      $(BINDIR)/t2p$(EXEEXT) $(BINDIR)/compile_regexes$(EXEEXT) \
      $(BINDIR)/flitevox_info$(EXEEXT) \
      flite_voice_list.c each $(EXTRABINS)

VOICES=$(VOXES)
VOICELIBS=$(VOICES:%=flite_%)

flite_MODS = $(VOICELIBS) $(LANGS:%=flite_%) $(LEXES:%=flite_%) 
flite_LIBS = $(flite_MODS) flite

flite_LIBS_flags = -L$(LIBDIR) $(flite_LIBS:%=-l%)
flite_LIBS_deps = $(flite_LIBS:%=$(LIBDIR)/lib%.a)

include $(TOP)/config/common_make_rules

# We need to set these vars, even if we're not going to build them
# so make clean can remove them
SHAREDARLIBS= $(flite_LIBS:%=$(LIBDIR)/lib%.shared.a)
SHAREDLIBS = $(SHAREDARLIBS:%.shared.a=%.so)
SHAREDMODS = $(flite_MODS:%=$(LIBDIR)/lib%.so)
SHAREDusenMODS = $(LIBDIR)/libflite_cmu_time_awb.so $(LIBDIR)/libflite_cmu_us_awb.so $(LIBDIR)/libflite_cmu_us_kal16.so $(LIBDIR)/libflite_cmu_us_kal.so $(LIBDIR)/libflite_cmu_us_rms.so $(LIBDIR)/libflite_cmu_us_slt.so $(LIBDIR)/libflite_cmu_indic_lang.so
SHAREDcmulexMODS = $(LIBDIR)/libflite_cmu_time_awb.so $(LIBDIR)/libflite_cmu_us_awb.so $(LIBDIR)/libflite_cmu_us_kal16.so $(LIBDIR)/libflite_cmu_us_kal.so $(LIBDIR)/libflite_cmu_us_rms.so $(LIBDIR)/libflite_cmu_us_slt.so  $(LIBDIR)/libflite_cmu_indic_lex.so
SHAREDindicMODS = $(LIBDIR)/libflite_cmu_indic_lex.so
VERSIONSHAREDLIBS = $(SHAREDLIBS:%=%.${PROJECT_VERSION}) \
                    $(SHAREDLIBS:%=%.${PROJECT_SHLIB_VERSION})

flite_time_LIBS = flite_cmu_time_awb flite_usenglish flite_cmulex
flite_time_LIBS_flags = -L$(LIBDIR) $(flite_time_LIBS:%=-l%)
flite_time_LIBS_deps = $(flite_time_LIBS:%=$(LIBDIR)/lib%.a)

LOCAL_CLEAN = $(BINDIR)/flite$(EXEEXT) $(BINDIR)/flite_time$(EXEEXT) \
              $(BINDIR)/t2p$(EXEEXT) \
              $(SHAREDARLIBS) $(SHAREDLIBS) $(VERSIONSHAREDLIBS) \
              $(flite_LIBS_deps) $(VOICES:%=$(BINDIR)/flite_%) \
              flite_voice_list.c

ifdef SHFLAGS
$(SHAREDMODS): $(LIBDIR)/libflite.so
$(SHAREDMODS): LDFLAGS+=-L../$(LIBDIR) -lflite
$(SHAREDusenMODS): $(LIBDIR)/libflite_usenglish.so
$(SHAREDusenMODS): LDFLAGS+=-L../$(LIBDIR) -lflite_usenglish
$(SHAREDcmulexMODS): $(LIBDIR)/libflite_cmulex.so
$(SHAREDcmulexMODS): LDFLAGS+=-L../$(LIBDIR) -lflite_cmulex
$(SHAREDindicMODS): $(LIBDIR)/libflite_cmu_indic_lang.so
$(SHAREDindicMODS): LDFLAGS+=-L../$(LIBDIR) -lflite_cmu_indic_lang
shared_libs: $(SHAREDLIBS)
else
shared_libs: nothing
endif

.NOTPARALLEL: $(ALL)

flite_lang_list: 
	rm -f flite_lang_list.c
	$(TOP)/tools/make_lang_list $(LANGS) $(LEXES)
	$(MAKE) flite_lang_list.o

$(BINDIR)/flite$(EXEEXT): flite_main.o flite_lang_list $(flite_LIBS_deps)
	$(TOP)/tools/make_voice_list $(VOICES)
	rm -f flite_voice_list.o
	$(MAKE) flite_voice_list.o
	$(CC) $(CFLAGS) -o $@ flite_main.o flite_voice_list.o flite_lang_list.o $(flite_LIBS_flags) $(LDFLAGS)

$(BINDIR)/flitevox_info$(EXEEXT): flitevox_info_main.o flite_lang_list $(flite_LIBS_deps)
	$(TOP)/tools/make_voice_list $(VOICES)
	rm -f flite_voice_list.o
	$(MAKE) flite_voice_list.o
	$(CC) $(CFLAGS) -o $@ flitevox_info_main.o flite_voice_list.o flite_lang_list.o $(flite_LIBS_flags) $(LDFLAGS)

$(BINDIR)/world$(EXEEXT): world_main.c
	$(CC) $(CFLAGS) -o $@ world_main.c -I../include -I../src/world $(flite_LIBS_flags) $(world_LIBS_flags) -lworld $(LDFLAGS)

$(BINDIR)/flite_time$(EXEEXT): flite_time_main.o $(flite_time_LIBS_deps)
	$(CC) $(CFLAGS) -o $@ flite_time_main.o $(flite_time_LIBS_flags) $(FLITELIBFLAGS) $(LDFLAGS) 

$(BINDIR)/t2p$(EXEEXT): t2p_main.o $(flite_LIBS_deps)
	$(CC) $(CFLAGS) -o $@ t2p_main.o $(flite_LIBS_flags) $(LDFLAGS)

$(BINDIR)/word_times$(EXEEXT): word_times_main.o $(flite_LIBS_deps)
	$(CC) $(CFLAGS) -o $@ word_times_main.o $(flite_LIBS_flags) $(LDFLAGS)

$(BINDIR)/compile_regexes$(EXEEXT): compile_regexes.o $(FLITELIBS)
	$(CC) $(CFLAGS) -o $@ compile_regexes.o $(FLITELIBFLAGS) $(LDFLAGS)

each:
	@ for i in $(VOICES) ; \
	do \
	   $(MAKE) VOICE=$$i $(BINDIR)/flite_$$i ; \
	done

$(BINDIR)/flite_${VOICE}: flite_main.o flite_lang_list $(flite_LIBS_deps)
	$(TOP)/tools/make_voice_list $(VOICE)
	rm -f flite_voice_list.o
	$(MAKE) flite_voice_list.o
	$(CC) $(CFLAGS) -o $@ flite_main.o flite_voice_list.o flite_lang_list.o $(flite_LIBS_flags) $(LDFLAGS)

install:
#       The basic binaries
	@ $(INSTALL) -m 755 $(BINDIR)/flite $(DESTDIR)$(INSTALLBINDIR)
	@ for i in $(VOICES) ; \
	do \
	   $(INSTALL) $(BINDIR)/flite_$$i $(DESTDIR)$(INSTALLBINDIR); \
	done
	$(INSTALL) -m 755 $(BINDIR)/flite_time $(DESTDIR)$(INSTALLBINDIR)
#       The libraries: static and shared (if built)
	cp -pd $(flite_LIBS_deps) $(DESTDIR)$(INSTALLLIBDIR)
ifdef SHFLAGS
	cp -pd $(SHAREDLIBS) $(VERSIONSHAREDLIBS) $(DESTDIR)$(INSTALLLIBDIR)
endif

=== sapi/Makefile ===
###########################################################################
##                                                                       ##
##                           Cepstral, LLC                               ##
##                        Copyright (c) 2001                             ##
##                        All Rights Reserved.                           ##
##                                                                       ##
##  Permission is hereby granted, free of charge, to use and distribute  ##
##  this software and its documentation without restriction, including   ##
##  without limitation the rights to use, copy, modify, merge, publish,  ##
##  distribute, sublicense, and/or sell copies of this work, and to      ##
##  permit persons to whom this work is furnished to do so, subject to   ##
##  the following conditions:                                            ##
##   1. The code must retain the above copyright notice, this list of    ##
##      conditions and the following disclaimer.                         ##
##   2. Any modifications must be clearly marked as such.                ##
##   3. Original authors' names are not deleted.                         ##
##   4. The authors' names are not used to endorse or promote products   ##
##      derived from this software without specific prior written        ##
##      permission.                                                      ##
##                                                                       ##
##  CEPSTRAL, LLC AND THE CONTRIBUTORS TO THIS WORK DISCLAIM ALL         ##
##  WARRANTIES WITH REGARD TO THIS SOFTWARE, INCLUDING ALL IMPLIED       ##
##  WARRANTIES OF MERCHANTABILITY AND FITNESS, IN NO EVENT SHALL         ##
##  CEPSTRAL, LLC NOR THE CONTRIBUTORS BE LIABLE FOR ANY SPECIAL,        ##
##  INDIRECT OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER          ##
##  RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION    ##
##  OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF OR  ##
##  IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.          ##
##                                                                       ##
###########################################################################

TOP = ..
DIRNAME = sapi
FILES = README README_CG flite_sapi.dsw flite_sapi.sln Makefile
DIST_CLEAN = *.ncb *.opt
ALL_DIRS = FliteCMUKalDiphone FliteCMUGenericCG FliteTTSEngineObj \
	   cmu_cg cmu_us_kal cmulex flite usenglish

ALL =

include $(TOP)/config/common_make_rules

=== testsuite/Makefile ===
###########################################################################
##                                                                       ##
##                  Language Technologies Institute                      ##
##                     Carnegie Mellon University                        ##
##                        Copyright (c) 1999                             ##
##                        All Rights Reserved.                           ##
##                                                                       ##
##  Permission is hereby granted, free of charge, to use and distribute  ##
##  this software and its documentation without restriction, including   ##
##  without limitation the rights to use, copy, modify, merge, publish,  ##
##  distribute, sublicense, and/or sell copies of this work, and to      ##
##  permit persons to whom this work is furnished to do so, subject to   ##
##  the following conditions:                                            ##
##   1. The code must retain the above copyright notice, this list of    ##
##      conditions and the following disclaimer.                         ##
##   2. Any modifications must be clearly marked as such.                ##
##   3. Original authors' names are not deleted.                         ##
##   4. The authors' names are not used to endorse or promote products   ##
##      derived from this software without specific prior written        ##
##      permission.                                                      ##
##                                                                       ##
##  CARNEGIE MELLON UNIVERSITY AND THE CONTRIBUTORS TO THIS WORK         ##
##  DISCLAIM ALL WARRANTIES WITH REGARD TO THIS SOFTWARE, INCLUDING      ##
##  ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS, IN NO EVENT   ##
##  SHALL CARNEGIE MELLON UNIVERSITY NOR THE CONTRIBUTORS BE LIABLE      ##
##  FOR ANY SPECIAL, INDIRECT OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES    ##
##  WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN   ##
##  AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION,          ##
##  ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF       ##
##  THIS SOFTWARE.                                                       ##
##                                                                       ##
###########################################################################
##                                                                       ##
##    Testsuite                                                          ##
##                                                                       ##
###########################################################################
TOP=..
DIRNAME=testsuite
BUILD_DIRS = 
ALL_DIRS=
DATAFILES=data.one
SRCS = token_test_main.c hrg_test_main.c \
       regex_test_main.c nums_test_main.c \
       play_wave_main.c record_wave_main.c \
       play_sync_main.c play_server_main.c play_client_main.c \
       lex_test_main.c utt_test_main.c lex_lookup_main.c \
       lpc_test_main.c asciiS2U_main.c asciiU2S_main.c \
       lpc_test2_main.c combine_waves_main.c \
       bin2ascii_main.c record_in_noise_main.c \
       compare_wave_main.c rfc_main.c lpc_resynth_main.c \
       by_word_main.c flite_test_main.c \
       dcoffset_wave_main.c tris1_main.c
FC = us.flitecheck indic_hin.flitecheck indic_tam.flitecheck
OTHERS = kal_test_main.c multi_thread_main.c 

FILES = Makefile $(SRCS) $(DATAFILES) $(OTHERS) $(FC)

LOCAL_INCLUDES = -I$(TOP)/lang/usenglish

MAIN_EXECS = $(SRCS:_main.c=$(EXEEXT))
lex_test_LIBS = -lflite_cmulex
nums_test_LIBS = -lflite_usenglish
utt_test_LIBS = -lflite_cmulex
lex_lookup_LIBS = -lflite_cmulex
ldom_time_LIBS = -L/home/awb/data/ldom/time_flite/flite/lib -lcmu_time_awb -lflite_usenglish -lflite_cmulex
flite_test_LIBS = -lflite_usenglish -lflite_cmulex
by_word_LIBS = -lflite_cmu_us_kal -lflite_usenglish -lflite_cmulex
#kal_test_LIBS = -lflite_cmu_us_kal -lflite_usenglish -lflite_cmulex \
#	          /home/awb/src/malloc/gmalloc.o

ALL = $(MAIN_EXECS) multi_thread
LOCAL_CLEAN = $(MAIN_EXECS)

include $(TOP)/config/common_make_rules

MAIN_O = $(SRCS:%=%_main.o)
$(MAIN_O) : %_main.o : %_main.c
	$(CC) $(CFLAGS) -o $@ $< 
$(MAIN_EXECS) : %$(EXEEXT) : %_main.o $(FLITELIBS)
	$(CC) $(CFLAGS) -o $@ $@_main.o $($(@:=_LIBS)) $(FLITELIBFLAGS) $(LDFLAGS)

multi_thread: multi_thread_main.c
	gcc -fopenmp -o multi_thread multi_thread_main.c \
		$(CFLAGS) -I$(TOP)/include $(FLITELIBFLAGS) $(LDFLAGS) \
		-l flite_cmu_us_slt -lflite_cmulex -lflite_usenglish \
		-lflite -lm -lasound -lgomp
do_thread_test: multi_thread
#	This shouldn't segfault
	export OMP_NUM_THREADS=100 && ./multi_thread

=== tools/Makefile ===
###########################################################################
##                                                                       ##
##                  Language Technologies Institute                      ##
##                     Carnegie Mellon University                        ##
##                        Copyright (c) 2000-2008                        ##
##                        All Rights Reserved.                           ##
##                                                                       ##
##  Permission is hereby granted, free of charge, to use and distribute  ##
##  this software and its documentation without restriction, including   ##
##  without limitation the rights to use, copy, modify, merge, publish,  ##
##  distribute, sublicense, and/or sell copies of this work, and to      ##
##  permit persons to whom this work is furnished to do so, subject to   ##
##  the following conditions:                                            ##
##   1. The code must retain the above copyright notice, this list of    ##
##      conditions and the following disclaimer.                         ##
##   2. Any modifications must be clearly marked as such.                ##
##   3. Original authors' names are not deleted.                         ##
##   4. The authors' names are not used to endorse or promote products   ##
##      derived from this software without specific prior written        ##
##      permission.                                                      ##
##                                                                       ##
##  CARNEGIE MELLON UNIVERSITY AND THE CONTRIBUTORS TO THIS WORK         ##
##  DISCLAIM ALL WARRANTIES WITH REGARD TO THIS SOFTWARE, INCLUDING      ##
##  ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS, IN NO EVENT   ##
##  SHALL CARNEGIE MELLON UNIVERSITY NOR THE CONTRIBUTORS BE LIABLE      ##
##  FOR ANY SPECIAL, INDIRECT OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES    ##
##  WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN   ##
##  AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION,          ##
##  ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF       ##
##  THIS SOFTWARE.                                                       ##
##                                                                       ##
###########################################################################
##                                                                       ##
##  Tools for converting Festvox structures to Flite code                ##
##                                                                       ##
###########################################################################
TOP=..
DIRNAME=tools
BUILD_DIRS = 
ALL_DIRS=
SRCS = find_sts_main.c flite_sort_main.c
OBJS = $(SRCS:.c=.o)
TMPLTS = VOICE_ldom.c VOICE_clunits.c VOICE_diphone.c \
         VOICE_cg.c Makefile.flite \
         Makefile.lex LANGNAME_lex.c LANGNAME_lex.h \
         Makefile.lang LANGNAME_lang.c LANGNAME_lang.h
SCRIPTS = build_flite setup_flite huff_table flite_test \
          flite_test_fv \
          make_voice_list wfst2c build_lex clunit_prune \
          a2byte.pl a2short.pl a2int.pl flite_rename_voice \
          make_lang_list make_new_lang_lex flitechecks \
          add_flite_feats make_flite_feats run_flitecheck quantize_params \
          get_voices
SCM=make_lex.scm make_lts.scm make_cart.scm play_sync.scm \
    make_phoneset.scm make_vallist.scm make_clunits.scm \
    make_didb.scm make_didb2.scm make_f0lr.scm make_lts_wfst.scm \
    make_lts_rewrite.scm \
    make_cg.scm make_ug.scm

FILES = Makefile $(SCM) $(SRCS) $(SCRIPTS) $(TMPLTS) \
        find_cmimax example.lex example.ssml
LOCAL_INCLUDES = 

ifeq ($(HOST_PLATFORM),$(TARGET_PLATFORM))
ALL = $(BINDIR)/find_sts $(BINDIR)/flite_sort makescripts
endif	

include $(TOP)/config/common_make_rules

LOCAL_CLEAN = $(BINDIR)/find_sts $(BINDIR)/flite_sort $(TOP)/bin

$(BINDIR)/find_sts: find_sts_main.o $(FLITELIBS) 
	$(CC) $(CFLAGS) -o $@ find_sts_main.o $(FLITELIBFLAGS) $(LDFLAGS)
$(BINDIR)/flite_sort: flite_sort_main.o $(FLITELIBS)
	$(CC) $(CFLAGS) -o $@ flite_sort_main.o $(FLITELIBFLAGS) $(LDFLAGS)
makescripts:
	@ cp -p $(SCRIPTS) $(TOP)/bin

=== wince/Makefile ===
###########################################################################
##                                                                       ##
##                  Language Technologies Institute                      ##
##                     Carnegie Mellon University                        ##
##                       Copyright (c) 2008-2009                         ##
##                        All Rights Reserved.                           ##
##                                                                       ##
##  Permission is hereby granted, free of charge, to use and distribute  ##
##  this software and its documentation without restriction, including   ##
##  without limitation the rights to use, copy, modify, merge, publish,  ##
##  distribute, sublicense, and/or sell copies of this work, and to      ##
##  permit persons to whom this work is furnished to do so, subject to   ##
##  the following conditions:                                            ##
##   1. The code must retain the above copyright notice, this list of    ##
##      conditions and the following disclaimer.                         ##
##   2. Any modifications must be clearly marked as such.                ##
##   3. Original authors' names are not deleted.                         ##
##   4. The authors' names are not used to endorse or promote products   ##
##      derived from this software without specific prior written        ##
##      permission.                                                      ##
##                                                                       ##
##  CARNEGIE MELLON UNIVERSITY AND THE CONTRIBUTORS TO THIS WORK         ##
##  DISCLAIM ALL WARRANTIES WITH REGARD TO THIS SOFTWARE, INCLUDING      ##
##  ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS, IN NO EVENT   ##
##  SHALL CARNEGIE MELLON UNIVERSITY NOR THE CONTRIBUTORS BE LIABLE      ##
##  FOR ANY SPECIAL, INDIRECT OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES    ##
##  WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN   ##
##  AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION,          ##
##  ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF       ##
##  THIS SOFTWARE.                                                       ##
##                                                                       ##
###########################################################################
##                                                                       ##
##  Windows Mobile support for Flite                                     ##
##                                                                       ##
##  Builds a usable flite library for Windows Mobile (WinCE)             ##
##                                                                       ##
##  FLOWM: flite on windows mobile                                       ##
##         Basic file reader for files                                   ##
##                                                                       ##
##  Note this uses the cegcc compilation suite (Linux/CYGWIN) rather     ##
##  than embedded visual studio.                                         ##
##                http://cegcc.sourceforge.net/                          ##
##                                                                       ##
##  At top level                                                         ##
##      ./configure --target=arm-wince                                   ##
##      make                                                             ##
##  Will generate wince executable in wince/flowm.exe                    ##
##                                                                       ##
###########################################################################
TOP = ..
DIRNAME = wince
BUILD_DIRS = 
ALL_DIRS = $(BUILD_DIRS) 
H = flowm.h
RC = flowm.rc
SRCS = flowm_main.c flowm_flite.c
OBJS = $(SRCS:.c=.o)
IMGS = flowm.bmp flowm.ico
OTHER = _setup.xml
FILES = Makefile flowm.notes $(SRCS) $(H) $(RC) $(IMGS) $(OTHER)
FLOWM_VERSION=0.8

flite_LIBS = flite_$(FL_LANG) flite_$(FL_LEX) flite
flite_LIBS_flags = -L$(LIBDIR) $(flite_LIBS:%=-l%)
flite_LIBS_deps = $(flite_LIBS:%=$(LIBDIR)/lib%.a)

# If you only want one voice, it should be kal -- its fast and small enough
voice_LIBS_flags = -lflite_cmu_us_kal 
EXTRA_CC_FLAGS = -Dcmu_us_kal

# OR you can try these specially built voices for WM
# Special 8KH, reduced order (13) voices, seem to be fast enough
# for 400MHz ARM (Tytn II)
#voice_LIBS_flags = -Lvoices -lcmu_us_kal -lcmu_us_awb -lcmu_us_rms -lcmu_us_slt
#EXTRA_CC_FLAGS = -Dcmu_us_kal -Dcmu_us_awb -Dcmu_us_rms -Dcmu_us_slt

wince_LIBS = -lcommctrl -laygshell
EXTRA_CC_FLAGS += -D_WIN32_IE=0x0500

ALL = flowm.exe

include $(TOP)/config/common_make_rules

flowm.exe: $(OBJS) $(H) flowm.rsc $(FLITELIBS) $(flite_LIBS_deps)
	$(CC) $(CFLAGS) -o $@ $(OBJS) flowm.rsc $(voice_LIBS_flags) $(flite_LIBS_flags) $(LDFLAGS) $(wince_LIBS)
	$(STRIP) flowm.exe
	$(SIZE) flowm.exe

flowm.rsc: flowm.rc flowm.h
	$(WINDRES) $(EXTRA_CC_FLAGS) flowm.rc flowm.rsc

flowm.cab: flowm.exe
	cp -pr ../doc/alice alice.txt
	cp -pr ../doc/intro.txt flintro.txt
	lcab alice.txt flintro.txt flowm.exe _setup.xml flowm.cab

backup:
	tar jcvf flowm_${FLOWM_VERSION}.tar.gz ${FILES}

=== lang/cmu_indic_lang/Makefile ===
###########################################################################
##                                                                       ##
##                  Language Technologies Institute                      ##
##                     Carnegie Mellon University                        ##
##                        Copyright (c) 2013                             ##
##                        All Rights Reserved.                           ##
##                                                                       ##
##  Permission is hereby granted, free of charge, to use and distribute  ##
##  this software and its documentation without restriction, including   ##
##  without limitation the rights to use, copy, modify, merge, publish,  ##
##  distribute, sublicense, and/or sell copies of this work, and to      ##
##  permit persons to whom this work is furnished to do so, subject to   ##
##  the following conditions:                                            ##
##   1. The code must retain the above copyright notice, this list of    ##
##      conditions and the following disclaimer.                         ##
##   2. Any modifications must be clearly marked as such.                ##
##   3. Original authors' names are not deleted.                         ##
##   4. The authors' names are not used to endorse or promote products   ##
##      derived from this software without specific prior written        ##
##      permission.                                                      ##
##                                                                       ##
##  CARNEGIE MELLON UNIVERSITY AND THE CONTRIBUTORS TO THIS WORK         ##
##  DISCLAIM ALL WARRANTIES WITH REGARD TO THIS SOFTWARE, INCLUDING      ##
##  ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS, IN NO EVENT   ##
##  SHALL CARNEGIE MELLON UNIVERSITY NOR THE CONTRIBUTORS BE LIABLE      ##
##  FOR ANY SPECIAL, INDIRECT OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES    ##
##  WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN   ##
##  AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION,          ##
##  ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF       ##
##  THIS SOFTWARE.                                                       ##
##                                                                       ##
###########################################################################
##                                                                       ##
##  indic general functions/models                                       ##
##                                                                       ##
###########################################################################
TOP=../..
DIRNAME=lang/cmu_indic_lang
BUILD_DIRS = 
ALL_DIRS= 
H = cmu_indic_lang.h cmu_indic_phrasing_cart.h \
    indic_num_table.h indic_eng_num_table.h \
    indic_hin_num_table.h \
    indic_kan_num_table.h \
    indic_mar_num_table.h \
    indic_guj_num_table.h \
    indic_tam_num_table.h \
    indic_tel_num_table.h \
    indic_san_num_table.h \
    indic_pan_num_table.h
SRCS = cmu_indic_lang.c cmu_indic_phoneset.c cmu_indic_phrasing_cart.c
SCRIPTS = 
OBJS = $(SRCS:.c=.o)
SCM=
FILES = Makefile $(SCM) $(SRCS) $(H) $(SCRIPTS)
LIBNAME = flite_cmu_indic_lang
LOCAL_INCLUDES = 

ALL = 

include $(TOP)/config/common_make_rules

=== lang/cmu_us_awb/Makefile ===
########################################################-*-mode:Makefile-*-
##                                                                       ##
##                  Language Technologies Institute                      ##
##                     Carnegie Mellon University                        ##
##                      Copyright (c) 2000-2008                          ##
##                        All Rights Reserved.                           ##
##                                                                       ##
##  Permission is hereby granted, free of charge, to use and distribute  ##
##  this software and its documentation without restriction, including   ##
##  without limitation the rights to use, copy, modify, merge, publish,  ##
##  distribute, sublicense, and/or sell copies of this work, and to      ##
##  permit persons to whom this work is furnished to do so, subject to   ##
##  the following conditions:                                            ##
##   1. The code must retain the above copyright notice, this list of    ##
##      conditions and the following disclaimer.                         ##
##   2. Any modifications must be clearly marked as such.                ##
##   3. Original authors' names are not deleted.                         ##
##   4. The authors' names are not used to endorse or promote products   ##
##      derived from this software without specific prior written        ##
##      permission.                                                      ##
##                                                                       ##
##  CARNEGIE MELLON UNIVERSITY AND THE CONTRIBUTORS TO THIS WORK         ##
##  DISCLAIM ALL WARRANTIES WITH REGARD TO THIS SOFTWARE, INCLUDING      ##
##  ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS, IN NO EVENT   ##
##  SHALL CARNEGIE MELLON UNIVERSITY NOR THE CONTRIBUTORS BE LIABLE      ##
##  FOR ANY SPECIAL, INDIRECT OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES    ##
##  WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN   ##
##  AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION,          ##
##  ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF       ##
##  THIS SOFTWARE.                                                       ##
##                                                                       ##
###########################################################################
VOXNAME=awb
TOP=../..
DIRNAME=lang/cmu_us_$(VOXNAME)
BUILD_DIRS = 
ALL_DIRS= 
H = voxdefs.h cmu_us_$(VOXNAME)_cg_durmodel.h \
    cmu_us_$(VOXNAME)_cg_single_mcep_trees.h \
    cmu_us_$(VOXNAME)_cg_f0_trees.h \
    cmu_us_$(VOXNAME)_spamf0_accent.h \
    cmu_us_$(VOXNAME)_spamf0_phrase.h
SRCS = cmu_us_$(VOXNAME).c cmu_us_$(VOXNAME)_cg_single_mcep_trees.c \
       cmu_us_$(VOXNAME)_cg.c cmu_us_$(VOXNAME)_cg_single_params.c \
       cmu_us_$(VOXNAME)_cg_durmodel.c cmu_us_$(VOXNAME)_cg_phonestate.c \
       cmu_us_$(VOXNAME)_cg_f0_trees.c cmu_us_$(VOXNAME)_spamf0_accent_params.c \
       cmu_us_$(VOXNAME)_spamf0_phrase.c cmu_us_$(VOXNAME)_spamf0_accent.c
OBJS = $(SRCS:.c=.o)

FILES = Makefile $(SCM) $(SRCS) $(H)
LIBNAME = flite_cmu_us_$(VOXNAME)
LOCAL_INCLUDES = -I$(TOP)/lang/usenglish -I$(TOP)/lang/cmulex $(VOXDEFS)

ALL = 

include $(TOP)/config/common_make_rules

=== lang/cmu_us_rms/Makefile ===
########################################################-*-mode:Makefile-*-
##                                                                       ##
##                  Language Technologies Institute                      ##
##                     Carnegie Mellon University                        ##
##                      Copyright (c) 2000-2008                          ##
##                        All Rights Reserved.                           ##
##                                                                       ##
##  Permission is hereby granted, free of charge, to use and distribute  ##
##  this software and its documentation without restriction, including   ##
##  without limitation the rights to use, copy, modify, merge, publish,  ##
##  distribute, sublicense, and/or sell copies of this work, and to      ##
##  permit persons to whom this work is furnished to do so, subject to   ##
##  the following conditions:                                            ##
##   1. The code must retain the above copyright notice, this list of    ##
##      conditions and the following disclaimer.                         ##
##   2. Any modifications must be clearly marked as such.                ##
##   3. Original authors' names are not deleted.                         ##
##   4. The authors' names are not used to endorse or promote products   ##
##      derived from this software without specific prior written        ##
##      permission.                                                      ##
##                                                                       ##
##  CARNEGIE MELLON UNIVERSITY AND THE CONTRIBUTORS TO THIS WORK         ##
##  DISCLAIM ALL WARRANTIES WITH REGARD TO THIS SOFTWARE, INCLUDING      ##
##  ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS, IN NO EVENT   ##
##  SHALL CARNEGIE MELLON UNIVERSITY NOR THE CONTRIBUTORS BE LIABLE      ##
##  FOR ANY SPECIAL, INDIRECT OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES    ##
##  WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN   ##
##  AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION,          ##
##  ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF       ##
##  THIS SOFTWARE.                                                       ##
##                                                                       ##
###########################################################################
VOXNAME=rms
TOP=../..
DIRNAME=lang/cmu_us_$(VOXNAME)
BUILD_DIRS = 
ALL_DIRS= 
H = voxdefs.h cmu_us_$(VOXNAME)_cg_durmodel.h \
    cmu_us_$(VOXNAME)_cg_single_mcep_trees.h \
    cmu_us_$(VOXNAME)_cg_f0_trees.h \
    cmu_us_$(VOXNAME)_spamf0_accent.h \
    cmu_us_$(VOXNAME)_spamf0_phrase.h
SRCS = cmu_us_$(VOXNAME).c cmu_us_$(VOXNAME)_cg_single_mcep_trees.c \
       cmu_us_$(VOXNAME)_cg.c cmu_us_$(VOXNAME)_cg_single_params.c \
       cmu_us_$(VOXNAME)_cg_durmodel.c cmu_us_$(VOXNAME)_cg_phonestate.c \
       cmu_us_$(VOXNAME)_cg_f0_trees.c cmu_us_$(VOXNAME)_spamf0_accent_params.c \
       cmu_us_$(VOXNAME)_spamf0_phrase.c cmu_us_$(VOXNAME)_spamf0_accent.c
OBJS = $(SRCS:.c=.o)

WINDOWS = Exports.def cmu_us_rms.vcproj cmu_us_rms_voice.cpp stdafx.h

FILES = Makefile $(SCM) $(SRCS) $(H) $(WINDOWS)
LIBNAME = flite_cmu_us_$(VOXNAME)
LOCAL_INCLUDES = -I$(TOP)/lang/usenglish -I$(TOP)/lang/cmulex $(VOXDEFS)

ALL = 

include $(TOP)/config/common_make_rules

=== lang/cmulex/Makefile ===
###########################################################################
##                                                                       ##
##                  Language Technologies Institute                      ##
##                     Carnegie Mellon University                        ##
##                        Copyright (c) 2000                             ##
##                        All Rights Reserved.                           ##
##                                                                       ##
##  Permission is hereby granted, free of charge, to use and distribute  ##
##  this software and its documentation without restriction, including   ##
##  without limitation the rights to use, copy, modify, merge, publish,  ##
##  distribute, sublicense, and/or sell copies of this work, and to      ##
##  permit persons to whom this work is furnished to do so, subject to   ##
##  the following conditions:                                            ##
##   1. The code must retain the above copyright notice, this list of    ##
##      conditions and the following disclaimer.                         ##
##   2. Any modifications must be clearly marked as such.                ##
##   3. Original authors' names are not deleted.                         ##
##   4. The authors' names are not used to endorse or promote products   ##
##      derived from this software without specific prior written        ##
##      permission.                                                      ##
##                                                                       ##
##  CARNEGIE MELLON UNIVERSITY AND THE CONTRIBUTORS TO THIS WORK         ##
##  DISCLAIM ALL WARRANTIES WITH REGARD TO THIS SOFTWARE, INCLUDING      ##
##  ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS, IN NO EVENT   ##
##  SHALL CARNEGIE MELLON UNIVERSITY NOR THE CONTRIBUTORS BE LIABLE      ##
##  FOR ANY SPECIAL, INDIRECT OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES    ##
##  WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN   ##
##  AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION,          ##
##  ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF       ##
##  THIS SOFTWARE.                                                       ##
##                                                                       ##
###########################################################################
##                                                                       ##
##  CMULEX                                                               ##
##                                                                       ##
###########################################################################
TOP=../..
DIRNAME=lang/cmulex
BUILD_DIRS = 
ALL_DIRS= 
H = cmu_lts_model.h cmu_lex.h
SRCS = cmu_lts_rules.c cmu_lts_model.c \
       cmu_lex.c cmu_lex_entries.c cmu_lex_data.c cmu_postlex.c

LEX_DATA_INCLUDES = cmu_lex_data_raw.c cmu_lex_num_bytes.c \
     cmu_lex_phones_huff_table.c cmu_lex_entries_huff_table.c \

OBJS = $(SRCS:.c=.o)
SCRIPTS=make_cmulex  

SCM=
WINDOWS = libflite-cmulex.vcproj
FILES = Makefile $(SCM) $(SRCS) $(H) $(SCRIPTS) $(LEX_DATA_INCLUDES) $(WINDOWS)
LIBNAME = flite_cmulex
LOCAL_INCLUDES = $(LEXDEFS)

ALL = 

include $(TOP)/config/common_make_rules

=== debian/changelog ===
flite (2.2-6build3) noble; urgency=medium

  * No-change rebuild against libasound2t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 07 Apr 2024 07:12:09 +0000

flite (2.2-6build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 07:35:48 +0000

flite (2.2-6build1) noble; urgency=medium

  * No-change rebuild against libasound2t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 12 Mar 2024 06:35:25 +0000

flite (2.2-6) unstable; urgency=medium

  [ Hilmar Preusse ]
  * patches/texinfo70: Fix build against TexInfo 7.0.x (Closes: Bug#1030385)

 -- Samuel Thibault <sthibault@debian.org>  Mon, 10 Jul 2023 23:32:27 +0200

flite (2.2-5) unstable; urgency=medium

  * watch: Use tags instead of releases, and generalize.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 23 Oct 2022 12:14:15 +0200

flite (2.2-4) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on dpkg-dev.

  [ Jakub Wilk ]
  * Update upstream URLs (Closes: Bug#1011779)

  [ Samuel Thibault ]
  * control: Make flite Multi-Arch: foreign.
  * debian/libflite1.lintian-overrides: Update lintian suppression again.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 17 Sep 2022 21:16:07 +0200

flite (2.2-3) unstable; urgency=medium

  [ Samuel Thibault ]
  * Play cat and mice again with lintian warning suppression
  * control: Bump Standards-Version to 4.6.0 (no change)

  [ Debian Janitor ]
  * Fix field name case in debian/control (Multi-arch => Multi-Arch).
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on texinfo.
  * Bump debhelper from old 12 to 13.
  * Update standards version to 4.5.1, no changes needed.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 29 Jan 2022 14:30:44 +0100

flite (2.2-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Bump debhelper from old 11 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Samuel Thibault ]
  * rules: Remove manual installation of library files.
  * {flite,flite1-dev,libflite1}.install: Likewise
  * flite.install: Install all /usr/bin/flite* files.
  * patches/flags: Fix spurious missing flags report.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 02 Jan 2021 16:10:49 +0100

flite (2.2-1) unstable; urgency=medium

  [ Samuel Thibault ]
  * New upstream release
    - patches/CVE-2014-0027_unsafe_temporary_file.patch: Upstreamed.
    - patches/link_deps.patch: Upstreamed.
    - patches/no_rpath.patch: Upstreamed.
    - patches/shlib_deps.patch: Upstreamed.
    - patches/texi2html_to_texi2any_migration.patch: Upstreamed.
    - patches/64bit: Refresh.
    - libflite1.symbols: Refresh.
  * watch: Add github release page.
  * control: Bump Standards-Version to 4.5.0 (no change)
  * libflite1.lintian-overrides: Silence lintian warning about libraries not
    linking against libc.

 -- Samuel Thibault <sthibault@debian.org>  Thu, 27 Aug 2020 01:06:19 +0200

flite (2.1-release-4) unstable; urgency=medium

  * control: Set Vcs-* to salsa.debian.org.
  * control: Bump Standards-Version to 4.4.0 (no changes).
  * watch: Generalize pattern.
  * rules: Rely on pre-initialized dpkg-architecture variables.
  * rules: Use dh_auto_build instead of $(MAKE).
  * control: Update alioth list domain.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 09 May 2020 00:43:48 +0200

=== debian/control ===
Source: flite
Section: sound
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Accessibility Team <pkg-a11y-devel@alioth-lists.debian.net>
Uploaders:
 Lukas Loehrer <loehrerl@gmx.net>,
 Paul Gevers <elbrus@debian.org>,
 Samuel Thibault <sthibault@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 ed,
 libasound2-dev [linux-any],
 texinfo,
 texlive
Build-Conflicts:
 autoconf2.13
Standards-Version: 4.6.0
Homepage: http://cmuflite.org
Vcs-Git: https://salsa.debian.org/a11y-team/flite.git
Vcs-Browser: https://salsa.debian.org/a11y-team/flite
Rules-Requires-Root: no

Package: flite
Architecture: any
Multi-Arch: foreign
Depends:
 libflite1 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends}
Description: Small run-time speech synthesis engine
 Flite is a small fast run-time speech synthesis engine.  It is the
 latest addition to the suite of free software synthesis tools
 including University of Edinburgh's Festival Speech Synthesis System
 and Carnegie Mellon University's FestVox project, tools, scripts and
 documentation for building synthetic voices.  However, flite itself
 does not require either of these systems to run.
 .
 It currently only supports the English and Indic languages.
 .
 This package contains the executables and documentation.

Package: libflite1
Section: libs
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Pre-Depends:
 ${misc:Pre-Depends}
Description: Small run-time speech synthesis engine - shared libraries
 Flite is a small fast run-time speech synthesis engine.  It is the
 latest addition to the suite of free software synthesis tools
 including University of Edinburgh's Festival Speech Synthesis System
 and Carnegie Mellon University's FestVox project, tools, scripts and
 documentation for building synthetic voices.  However, flite itself
 does not require either of these systems to run.
 .
 It currently only supports the English and Indic languages.
 .
 This package contains the shared library objects of Festival Lite

Package: flite1-dev
Provides:
 flite-dev
Conflicts:
 flite-dev
Section: devel
Architecture: any
Multi-Arch: same
Depends:
 libc6-dev,
 libflite1 (= ${binary:Version}),
 ${misc:Depends}
Description: Small run-time speech synthesis engine - development files
 Flite is a small fast run-time speech synthesis engine.  It is the
 latest addition to the suite of free software synthesis tools
 including University of Edinburgh's Festival Speech Synthesis System
 and Carnegie Mellon University's FestVox project, tools, scripts and
 documentation for building synthetic voices.  However, flite itself
 does not require either of these systems to run.
 .
 It currently only supports the English and Indic languages.
 .
 This extra package provides the flite static libraries
 and header files.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
#fix FTBFS with binutils-gold
export DEB_LDFLAGS_MAINT_APPEND = -lm

include /usr/share/dpkg/architecture.mk

# If it's a linux OS use alsa, else use oss.
ifeq ($(DEB_BUILD_ARCH_OS),linux)
AUDIO=alsa
else
AUDIO=oss
endif

override_dh_auto_clean:
	dh_update_autotools_config
	[ ! -f config.log ] || dh_auto_clean

override_dh_auto_configure:
	dh_auto_configure -- --with-audio=$(AUDIO) \
		--with-vox=cmu_us_kal16 --enable-shared

override_dh_auto_build:
	dh_auto_build
	(set -e; cd doc; $(MAKE) flite.pdf flite.html; makeinfo flite.texi)

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(@ANY_VERSION@@ARCHIVE_EXT@)/flite-$1/ \
https://github.com/festvox/flite/tags .*/v?(?:.*-)?@ANY_VERSION@@ARCHIVE_EXT@
#http://cmuflite.org/packed/flite-(.*)/flite-(.*-release)@ARCHIVE_EXT@
#http://festvox.org/flite/packed/flite-(.*)/flite-(.*-release)@ARCHIVE_EXT@
